Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Host

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.Host

    public class Host

extends XenAPIObject

A physical host

Nested Class Summary
`static class` | `Host.Record` Represents all the fields in a Host

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addTags(Connection c, String value)` Add the given value to the tags field of the given host.
`void` | `addToGuestVCPUsParams(Connection c, String key, String value)` Add the given key-value pair to the guest_VCPUs_params field of the given host.
`void` | `addToLicenseServer(Connection c, String key, String value)` Add the given key-value pair to the license_server field of the given host.
`void` | `addToLogging(Connection c, String key, String value)` Add the given key-value pair to the logging field of the given host.
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given host.
`void` | `applyEdition(Connection c, String edition, Boolean force)` Change to another edition, or reactivate the current edition after a license has expired.
`void` | `assertCanEvacuate(Connection c)` Check this host can be evacuated.
`Task` | `assertCanEvacuateAsync(Connection c)` Check this host can be evacuated.
`void` | `backupRrds(Connection c, Double delay)` This causes the RRDs to be backed up to the master
`void` | `bugreportUpload(Connection c, String url, Map<String,String> options)` Run xen-bugtool --yestoall and upload the output to Citrix support
`Task` | `bugreportUploadAsync(Connection c, String url, Map<String,String> options)` Run xen-bugtool --yestoall and upload the output to Citrix support
`String` | `callPlugin(Connection c, String plugin, String fn, Map<String,String> args)` Call a XenAPI plugin on this host
`Task` | `callPluginAsync(Connection c, String plugin, String fn, Map<String,String> args)` Call a XenAPI plugin on this host
`Long` | `computeFreeMemory(Connection c)` Computes the amount of free memory on the host.
`Task` | `computeFreeMemoryAsync(Connection c)` Computes the amount of free memory on the host.
`Long` | `computeMemoryOverhead(Connection c)` Computes the virtualization memory overhead of a host.
`Task` | `computeMemoryOverheadAsync(Connection c)` Computes the virtualization memory overhead of a host.
`Blob` | `createNewBlob(Connection c, String name, String mimeType, Boolean _public)` Create a placeholder for a named binary blob of data that is associated with this host
`Task` | `createNewBlobAsync(Connection c, String name, String mimeType, Boolean _public)` Create a placeholder for a named binary blob of data that is associated with this host
`void` | `declareDead(Connection c)` Declare that a host is dead.
`Task` | `declareDeadAsync(Connection c)` Declare that a host is dead.
`void` | `destroy(Connection c)` Destroy specified host record in database
`Task` | `destroyAsync(Connection c)` Destroy specified host record in database
`void` | `disable(Connection c)` Puts the host into a state in which no new VMs can be started.
`Task` | `disableAsync(Connection c)` Puts the host into a state in which no new VMs can be started.
`void` | `disableExternalAuth(Connection c, Map<String,String> config)` This call disables external authentication on the local host
`void` | `disableLocalStorageCaching(Connection c)` Disable the use of a local SR for caching purposes
`String` | `dmesg(Connection c)` Get the host xen dmesg.
`Task` | `dmesgAsync(Connection c)` Get the host xen dmesg.
`String` | `dmesgClear(Connection c)` Get the host xen dmesg, and clear the buffer.
`Task` | `dmesgClearAsync(Connection c)` Get the host xen dmesg, and clear the buffer.
`static void` | `emergencyHaDisable(Connection c)` This call disables HA on the local host.
`void` | `enable(Connection c)` Puts the host into a state in which new VMs can be started.
`Task` | `enableAsync(Connection c)` Puts the host into a state in which new VMs can be started.
`void` | `enableExternalAuth(Connection c, Map<String,String> config, String serviceName, String authType)` This call enables external authentication on a host
`void` | `enableLocalStorageCaching(Connection c, SR sr)` Enable the use of a local SR for caching purposes
`boolean` | `equals(Object obj)` If obj is a Host, compares XenAPI references for equality.
`void` | `evacuate(Connection c)` Migrate all VMs off of this host, where possible.
`Task` | `evacuateAsync(Connection c)` Migrate all VMs off of this host, where possible.
`void` | `forgetDataSourceArchives(Connection c, String dataSource)` Forget the recorded statistics related to the specified data source
`String` | `getAddress(Connection c)` Get the address field of the given host.
`static Set<Host>` | `getAll(Connection c)` Return a list of all the hosts known to the system.
`Set<Types.HostAllowedOperations>` | `getAllowedOperations(Connection c)` Get the allowed_operations field of the given host.
`static Map<Host,Host.Record>` | `getAllRecords(Connection c)` Return a map of host references to host records for all hosts known to the system.
`Long` | `getAPIVersionMajor(Connection c)` Get the API_version/major field of the given host.
`Long` | `getAPIVersionMinor(Connection c)` Get the API_version/minor field of the given host.
`String` | `getAPIVersionVendor(Connection c)` Get the API_version/vendor field of the given host.
`Map<String,String>` | `getAPIVersionVendorImplementation(Connection c)` Get the API_version/vendor_implementation field of the given host.
`Map<String,String>` | `getBiosStrings(Connection c)` Get the bios_strings field of the given host.
`Map<String,Blob>` | `getBlobs(Connection c)` Get the blobs field of the given host.
`static Set<Host>` | `getByNameLabel(Connection c, String label)` Get all the host instances with the given label.
`static Host` | `getByUuid(Connection c, String uuid)` Get a reference to the host instance with the specified UUID.
`Set<String>` | `getCapabilities(Connection c)` Get the capabilities field of the given host.
`Map<String,String>` | `getChipsetInfo(Connection c)` Get the chipset_info field of the given host.
`Map<String,String>` | `getCpuConfiguration(Connection c)` Get the cpu_configuration field of the given host.
`Map<String,String>` | `getCpuInfo(Connection c)` Get the cpu_info field of the given host.
`Set<HostCrashdump>` | `getCrashdumps(Connection c)` Get the crashdumps field of the given host.
`SR` | `getCrashDumpSr(Connection c)` Get the crash_dump_sr field of the given host.
`Map<String,Types.HostAllowedOperations>` | `getCurrentOperations(Connection c)` Get the current_operations field of the given host.
`Set<DataSource.Record>` | `getDataSources(Connection c)`
`String` | `getEdition(Connection c)` Get the edition field of the given host.
`Boolean` | `getEnabled(Connection c)` Get the enabled field of the given host.
`Map<String,String>` | `getExternalAuthConfiguration(Connection c)` Get the external_auth_configuration field of the given host.
`String` | `getExternalAuthServiceName(Connection c)` Get the external_auth_service_name field of the given host.
`String` | `getExternalAuthType(Connection c)` Get the external_auth_type field of the given host.
`Map<String,String>` | `getGuestVCPUsParams(Connection c)` Get the guest_VCPUs_params field of the given host.
`Set<String>` | `getHaNetworkPeers(Connection c)` Get the ha_network_peers field of the given host.
`Set<String>` | `getHaStatefiles(Connection c)` Get the ha_statefiles field of the given host.
`Set<HostCpu>` | `getHostCPUs(Connection c)` Get the host_CPUs field of the given host.
`String` | `getHostname(Connection c)` Get the hostname field of the given host.
`Map<String,String>` | `getLicenseParams(Connection c)` Get the license_params field of the given host.
`Map<String,String>` | `getLicenseServer(Connection c)` Get the license_server field of the given host.
`SR` | `getLocalCacheSr(Connection c)` Get the local_cache_sr field of the given host.
`String` | `getLog(Connection c)` Get the host's log file
`Task` | `getLogAsync(Connection c)` Get the host's log file
`Map<String,String>` | `getLogging(Connection c)` Get the logging field of the given host.
`PIF` | `getManagementIface(Connection c)` Returns the management interface for the specified host
`Task` | `getManagementIfaceAsync(Connection c)` Returns the management interface for the specified host
`Long` | `getMemoryOverhead(Connection c)` Get the memory/overhead field of the given host.
`HostMetrics` | `getMetrics(Connection c)` Get the metrics field of the given host.
`String` | `getNameDescription(Connection c)` Get the name/description field of the given host.
`String` | `getNameLabel(Connection c)` Get the name/label field of the given host.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given host.
`Set<HostPatch>` | `getPatches(Connection c)` Get the patches field of the given host.
`Set<PBD>` | `getPBDs(Connection c)` Get the PBDs field of the given host.
`Set<PCI>` | `getPCIs(Connection c)` Get the PCIs field of the given host.
`Set<PGPU>` | `getPGPUs(Connection c)` Get the PGPUs field of the given host.
`Set<PIF>` | `getPIFs(Connection c)` Get the PIFs field of the given host.
`Map<String,String>` | `getPowerOnConfig(Connection c)` Get the power_on_config field of the given host.
`String` | `getPowerOnMode(Connection c)` Get the power_on_mode field of the given host.
`Host.Record` | `getRecord(Connection c)` Get a record containing the current state of the given host.
`Set<VM>` | `getResidentVMs(Connection c)` Get the resident_VMs field of the given host.
`String` | `getSchedPolicy(Connection c)` Get the sched_policy field of the given host.
`String` | `getServerCertificate(Connection c)` Get the installed server SSL certificate.
`Task` | `getServerCertificateAsync(Connection c)` Get the installed server SSL certificate.
`Date` | `getServerLocaltime(Connection c)` This call queries the host's clock for the current time in the host's local timezone
`Date` | `getServertime(Connection c)` This call queries the host's clock for the current time
`Map<String,String>` | `getSoftwareVersion(Connection c)` Get the software_version field of the given host.
`Set<String>` | `getSupportedBootloaders(Connection c)` Get the supported_bootloaders field of the given host.
`SR` | `getSuspendImageSr(Connection c)` Get the suspend_image_sr field of the given host.
`String` | `getSystemStatusCapabilities(Connection c)`
`Set<String>` | `getTags(Connection c)` Get the tags field of the given host.
`Set<VM>` | `getUncooperativeResidentVMs(Connection c)` Deprecated.
`Task` | `getUncooperativeResidentVMsAsync(Connection c)` Deprecated.
`String` | `getUuid(Connection c)` Get the uuid field of the given host.
`Map<VM,Set<String>>` | `getVmsWhichPreventEvacuation(Connection c)` Return a set of VMs which prevent the host being evacuated, with per-VM error codes
`Task` | `getVmsWhichPreventEvacuationAsync(Connection c)` Return a set of VMs which prevent the host being evacuated, with per-VM error codes
`int` | `hashCode()`
`void` | `licenseApply(Connection c, String contents)` Apply a new license to a host
`Task` | `licenseApplyAsync(Connection c, String contents)` Apply a new license to a host
`static Set<String>` | `listMethods(Connection c)` List all supported methods
`static void` | `localManagementReconfigure(Connection c, String iface)` Reconfigure the management network interface.
`static void` | `managementDisable(Connection c)` Disable the management network interface
`static void` | `managementReconfigure(Connection c, PIF pif)` Reconfigure the management network interface
`static Task` | `managementReconfigureAsync(Connection c, PIF pif)` Reconfigure the management network interface
`Map<String,String>` | `migrateReceive(Connection c, Network network, Map<String,String> options)` Prepare to receive a VM, returning a token which can be passed to VM.migrate.
`Task` | `migrateReceiveAsync(Connection c, Network network, Map<String,String> options)` Prepare to receive a VM, returning a token which can be passed to VM.migrate.
`void` | `powerOn(Connection c)` Attempt to power-on the host (if the capability exists).
`Task` | `powerOnAsync(Connection c)` Attempt to power-on the host (if the capability exists).
`Double` | `queryDataSource(Connection c, String dataSource)` Query the latest value of the specified data source
`void` | `reboot(Connection c)` Reboot the host.
`Task` | `rebootAsync(Connection c)` Reboot the host.
`void` | `recordDataSource(Connection c, String dataSource)` Start recording the specified data source
`void` | `refreshPackInfo(Connection c)` Refresh the list of installed Supplemental Packs.
`Task` | `refreshPackInfoAsync(Connection c)` Refresh the list of installed Supplemental Packs.
`void` | `removeFromGuestVCPUsParams(Connection c, String key)` Remove the given key and its corresponding value from the guest_VCPUs_params field of the given host.
`void` | `removeFromLicenseServer(Connection c, String key)` Remove the given key and its corresponding value from the license_server field of the given host.
`void` | `removeFromLogging(Connection c, String key)` Remove the given key and its corresponding value from the logging field of the given host.
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given host.
`void` | `removeTags(Connection c, String value)` Remove the given value from the tags field of the given host.
`void` | `resetCpuFeatures(Connection c)` Remove the feature mask, such that after a reboot all features of the CPU are enabled.
`void` | `restartAgent(Connection c)` Restarts the agent after a 10 second pause.
`Task` | `restartAgentAsync(Connection c)` Restarts the agent after a 10 second pause.
`Map<VM,Set<String>>` | `retrieveWlbEvacuateRecommendations(Connection c)` Retrieves recommended host migrations to perform when evacuating the host from the wlb server.
`Task` | `retrieveWlbEvacuateRecommendationsAsync(Connection c)` Retrieves recommended host migrations to perform when evacuating the host from the wlb server.
`void` | `sendDebugKeys(Connection c, String keys)` Inject the given string as debugging keys into Xen
`Task` | `sendDebugKeysAsync(Connection c, String keys)` Inject the given string as debugging keys into Xen
`void` | `setAddress(Connection c, String address)` Set the address field of the given host.
`void` | `setCpuFeatures(Connection c, String features)` Set the CPU features to be used after a reboot, if the given features string is valid.
`void` | `setCrashDumpSr(Connection c, SR crashDumpSr)` Set the crash_dump_sr field of the given host.
`void` | `setGuestVCPUsParams(Connection c, Map<String,String> guestVCPUsParams)` Set the guest_VCPUs_params field of the given host.
`void` | `setHostname(Connection c, String hostname)` Set the hostname field of the given host.
`void` | `setHostnameLive(Connection c, String hostname)` Sets the host name to the specified string.
`void` | `setLicenseServer(Connection c, Map<String,String> licenseServer)` Set the license_server field of the given host.
`void` | `setLogging(Connection c, Map<String,String> logging)` Set the logging field of the given host.
`void` | `setNameDescription(Connection c, String description)` Set the name/description field of the given host.
`void` | `setNameLabel(Connection c, String label)` Set the name/label field of the given host.
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given host.
`void` | `setPowerOnMode(Connection c, String powerOnMode, Map<String,String> powerOnConfig)` Set the power-on-mode, host, user and password
`Task` | `setPowerOnModeAsync(Connection c, String powerOnMode, Map<String,String> powerOnConfig)` Set the power-on-mode, host, user and password
`void` | `setSuspendImageSr(Connection c, SR suspendImageSr)` Set the suspend_image_sr field of the given host.
`void` | `setTags(Connection c, Set<String> tags)` Set the tags field of the given host.
`void` | `shutdown(Connection c)` Shutdown the host.
`static void` | `shutdownAgent(Connection c)` Shuts the agent down after a 10 second pause.
`Task` | `shutdownAsync(Connection c)` Shutdown the host.
`void` | `syncData(Connection c)` This causes the synchronisation of the non-database data (messages, RRDs and so on) stored on the master to be synchronised with the host
`void` | `syslogReconfigure(Connection c)` Re-configure syslog logging
`Task` | `syslogReconfigureAsync(Connection c)` Re-configure syslog logging
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a Host, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public Host.Record getRecord(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given host.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static Host getByUuid(Connection c,
                                 String uuid)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a reference to the host instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByNameLabel

    public static Set<Host> getByNameLabel(Connection c,
                                           String label)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get all the host instances with the given label.

  Parameters:
    `label` - label of object to return
  Returns:
    references to objects with matching names
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameLabel

    public String getNameLabel(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the name/label field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameDescription

    public String getNameDescription(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the name/description field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMemoryOverhead

    public Long getMemoryOverhead(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Get the memory/overhead field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllowedOperations

    public Set<Types.HostAllowedOperations> getAllowedOperations(Connection c)
                                                          throws Types.BadServerResponse,
                                                                 Types.XenAPIException,
                                                                 org.apache.xmlrpc.XmlRpcException

  Get the allowed_operations field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCurrentOperations

    public Map<String,Types.HostAllowedOperations> getCurrentOperations(Connection c)
                                                                 throws Types.BadServerResponse,
                                                                        Types.XenAPIException,
                                                                        org.apache.xmlrpc.XmlRpcException

  Get the current_operations field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAPIVersionMajor

    public Long getAPIVersionMajor(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Get the API_version/major field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAPIVersionMinor

    public Long getAPIVersionMinor(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Get the API_version/minor field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAPIVersionVendor

    public String getAPIVersionVendor(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the API_version/vendor field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAPIVersionVendorImplementation

    public Map<String,String> getAPIVersionVendorImplementation(Connection c)
                                                         throws Types.BadServerResponse,
                                                                Types.XenAPIException,
                                                                org.apache.xmlrpc.XmlRpcException

  Get the API_version/vendor_implementation field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getEnabled

    public Boolean getEnabled(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the enabled field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSoftwareVersion

    public Map<String,String> getSoftwareVersion(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Get the software_version field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCapabilities

    public Set<String> getCapabilities(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the capabilities field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCpuConfiguration

    public Map<String,String> getCpuConfiguration(Connection c)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Get the cpu_configuration field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSchedPolicy

    public String getSchedPolicy(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get the sched_policy field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSupportedBootloaders

    public Set<String> getSupportedBootloaders(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Get the supported_bootloaders field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getResidentVMs

    public Set<VM> getResidentVMs(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Get the resident_VMs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLogging

    public Map<String,String> getLogging(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Get the logging field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPIFs

    public Set<PIF> getPIFs(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Get the PIFs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSuspendImageSr

    public SR getSuspendImageSr(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the suspend_image_sr field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCrashDumpSr

    public SR getCrashDumpSr(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the crash_dump_sr field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCrashdumps

    public Set<HostCrashdump> getCrashdumps(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Get the crashdumps field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPatches

    public Set<HostPatch> getPatches(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the patches field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPBDs

    public Set<PBD> getPBDs(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Get the PBDs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHostCPUs

    public Set<HostCpu> getHostCPUs(Connection c)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Get the host_CPUs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCpuInfo

    public Map<String,String> getCpuInfo(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Get the cpu_info field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHostname

    public String getHostname(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the hostname field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAddress

    public String getAddress(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the address field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMetrics

    public HostMetrics getMetrics(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Get the metrics field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLicenseParams

    public Map<String,String> getLicenseParams(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Get the license_params field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaStatefiles

    public Set<String> getHaStatefiles(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the ha_statefiles field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHaNetworkPeers

    public Set<String> getHaNetworkPeers(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Get the ha_network_peers field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBlobs

    public Map<String,Blob> getBlobs(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the blobs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getTags

    public Set<String> getTags(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the tags field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getExternalAuthType

    public String getExternalAuthType(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the external_auth_type field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getExternalAuthServiceName

    public String getExternalAuthServiceName(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the external_auth_service_name field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getExternalAuthConfiguration

    public Map<String,String> getExternalAuthConfiguration(Connection c)
                                                    throws Types.BadServerResponse,
                                                           Types.XenAPIException,
                                                           org.apache.xmlrpc.XmlRpcException

  Get the external_auth_configuration field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getEdition

    public String getEdition(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the edition field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLicenseServer

    public Map<String,String> getLicenseServer(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Get the license_server field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBiosStrings

    public Map<String,String> getBiosStrings(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the bios_strings field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPowerOnMode

    public String getPowerOnMode(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get the power_on_mode field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPowerOnConfig

    public Map<String,String> getPowerOnConfig(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Get the power_on_config field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLocalCacheSr

    public SR getLocalCacheSr(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the local_cache_sr field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getChipsetInfo

    public Map<String,String> getChipsetInfo(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the chipset_info field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPCIs

    public Set<PCI> getPCIs(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Get the PCIs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPGPUs

    public Set<PGPU> getPGPUs(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the PGPUs field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getGuestVCPUsParams

    public Map<String,String> getGuestVCPUsParams(Connection c)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Get the guest_VCPUs_params field of the given host.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameLabel

    public void setNameLabel(Connection c,
                             String label)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Set the name/label field of the given host.

  Parameters:
    `label` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameDescription

    public void setNameDescription(Connection c,
                                   String description)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Set the name/description field of the given host.

  Parameters:
    `description` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given host.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given host.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given host. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setLogging

    public void setLogging(Connection c,
                           Map<String,String> logging)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Set the logging field of the given host.

  Parameters:
    `logging` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToLogging

    public void addToLogging(Connection c,
                             String key,
                             String value)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the logging field of the given host.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromLogging

    public void removeFromLogging(Connection c,
                                  String key)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the logging field of the given host. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setSuspendImageSr

    public void setSuspendImageSr(Connection c,
                                  SR suspendImageSr)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Set the suspend_image_sr field of the given host.

  Parameters:
    `suspendImageSr` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setCrashDumpSr

    public void setCrashDumpSr(Connection c,
                               SR crashDumpSr)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the crash_dump_sr field of the given host.

  Parameters:
    `crashDumpSr` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setHostname

    public void setHostname(Connection c,
                            String hostname)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Set the hostname field of the given host.

  Parameters:
    `hostname` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setAddress

    public void setAddress(Connection c,
                           String address)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Set the address field of the given host.

  Parameters:
    `address` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setTags

    public void setTags(Connection c,
                        Set<String> tags)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Set the tags field of the given host.

  Parameters:
    `tags` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addTags

    public void addTags(Connection c,
                        String value)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Add the given value to the tags field of the given host. If the value is already in that Set, then do nothing.

  Parameters:
    `value` - New value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeTags

    public void removeTags(Connection c,
                           String value)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Remove the given value from the tags field of the given host. If the value is not in that Set, then do nothing.

  Parameters:
    `value` - Value to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setLicenseServer

    public void setLicenseServer(Connection c,
                                 Map<String,String> licenseServer)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Set the license_server field of the given host.

  Parameters:
    `licenseServer` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToLicenseServer

    public void addToLicenseServer(Connection c,
                                   String key,
                                   String value)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the license_server field of the given host.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromLicenseServer

    public void removeFromLicenseServer(Connection c,
                                        String key)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the license_server field of the given host. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setGuestVCPUsParams

    public void setGuestVCPUsParams(Connection c,
                                    Map<String,String> guestVCPUsParams)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Set the guest_VCPUs_params field of the given host.

  Parameters:
    `guestVCPUsParams` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToGuestVCPUsParams

    public void addToGuestVCPUsParams(Connection c,
                                      String key,
                                      String value)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the guest_VCPUs_params field of the given host.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromGuestVCPUsParams

    public void removeFromGuestVCPUsParams(Connection c,
                                           String key)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the guest_VCPUs_params field of the given host. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableAsync

    public Task disableAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Puts the host into a state in which no new VMs can be started. Currently active VMs on the host continue to execute.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disable

    public void disable(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Puts the host into a state in which no new VMs can be started. Currently active VMs on the host continue to execute.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableAsync

    public Task enableAsync(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Puts the host into a state in which new VMs can be started.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enable

    public void enable(Connection c)
                throws Types.BadServerResponse,
                       Types.XenAPIException,
                       org.apache.xmlrpc.XmlRpcException

  Puts the host into a state in which new VMs can be started.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### shutdownAsync

    public Task shutdownAsync(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Shutdown the host. (This function can only be called if there are no currently running VMs on the host and it is disabled.)

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### shutdown

    public void shutdown(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  Shutdown the host. (This function can only be called if there are no currently running VMs on the host and it is disabled.)

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### rebootAsync

    public Task rebootAsync(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Reboot the host. (This function can only be called if there are no currently running VMs on the host and it is disabled.)

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### reboot

    public void reboot(Connection c)
                throws Types.BadServerResponse,
                       Types.XenAPIException,
                       org.apache.xmlrpc.XmlRpcException

  Reboot the host. (This function can only be called if there are no currently running VMs on the host and it is disabled.)

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### dmesgAsync

    public Task dmesgAsync(Connection c)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Get the host xen dmesg.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### dmesg

    public String dmesg(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Get the host xen dmesg.

  Returns:
    dmesg string
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### dmesgClearAsync

    public Task dmesgClearAsync(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the host xen dmesg, and clear the buffer.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### dmesgClear

    public String dmesgClear(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the host xen dmesg, and clear the buffer.

  Returns:
    dmesg string
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLogAsync

    public Task getLogAsync(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Get the host's log file

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLog

    public String getLog(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  Get the host's log file

  Returns:
    The contents of the host's primary log file
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendDebugKeysAsync

    public Task sendDebugKeysAsync(Connection c,
                                   String keys)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Inject the given string as debugging keys into Xen

  Parameters:
    `keys` - The keys to send
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### sendDebugKeys

    public void sendDebugKeys(Connection c,
                              String keys)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Inject the given string as debugging keys into Xen

  Parameters:
    `keys` - The keys to send
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### bugreportUploadAsync

    public Task bugreportUploadAsync(Connection c,
                                     String url,
                                     Map<String,String> options)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Run xen-bugtool --yestoall and upload the output to Citrix support

  Parameters:
    `url` - The URL to upload to
    `options` - Extra configuration operations
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### bugreportUpload

    public void bugreportUpload(Connection c,
                                String url,
                                Map<String,String> options)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Run xen-bugtool --yestoall and upload the output to Citrix support

  Parameters:
    `url` - The URL to upload to
    `options` - Extra configuration operations
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### listMethods

    public static Set<String> listMethods(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  List all supported methods

  Returns:
    The name of every supported method.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### licenseApplyAsync

    public Task licenseApplyAsync(Connection c,
                                  String contents)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException,
                                  Types.LicenseProcessingError

  Apply a new license to a host

  Parameters:
    `contents` - The contents of the license file, base64 encoded
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.LicenseProcessingError`

### licenseApply

    public void licenseApply(Connection c,
                             String contents)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException,
                             Types.LicenseProcessingError

  Apply a new license to a host

  Parameters:
    `contents` - The contents of the license file, base64 encoded
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.LicenseProcessingError`

### destroyAsync

    public Task destroyAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Destroy specified host record in database

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroy

    public void destroy(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Destroy specified host record in database

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### powerOnAsync

    public Task powerOnAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Attempt to power-on the host (if the capability exists).

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### powerOn

    public void powerOn(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Attempt to power-on the host (if the capability exists).

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### emergencyHaDisable

    public static void emergencyHaDisable(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  This call disables HA on the local host. This should only be used with extreme care.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDataSources

    public Set<DataSource.Record> getDataSources(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Returns:
    A set of data sources
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### recordDataSource

    public void recordDataSource(Connection c,
                                 String dataSource)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Start recording the specified data source

  Parameters:
    `dataSource` - The data source to record
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### queryDataSource

    public Double queryDataSource(Connection c,
                                  String dataSource)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Query the latest value of the specified data source

  Parameters:
    `dataSource` - The data source to query
  Returns:
    The latest value, averaged over the last 5 seconds
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### forgetDataSourceArchives

    public void forgetDataSourceArchives(Connection c,
                                         String dataSource)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Forget the recorded statistics related to the specified data source

  Parameters:
    `dataSource` - The data source whose archives are to be forgotten
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### assertCanEvacuateAsync

    public Task assertCanEvacuateAsync(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Check this host can be evacuated.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### assertCanEvacuate

    public void assertCanEvacuate(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Check this host can be evacuated.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVmsWhichPreventEvacuationAsync

    public Task getVmsWhichPreventEvacuationAsync(Connection c)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Return a set of VMs which prevent the host being evacuated, with per-VM error codes

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVmsWhichPreventEvacuation

    public Map<VM,Set<String>> getVmsWhichPreventEvacuation(Connection c)
                                                     throws Types.BadServerResponse,
                                                            Types.XenAPIException,
                                                            org.apache.xmlrpc.XmlRpcException

  Return a set of VMs which prevent the host being evacuated, with per-VM error codes

  Returns:
    VMs which block evacuation together with reasons
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUncooperativeResidentVMsAsync

    @Deprecated
    public Task getUncooperativeResidentVMsAsync(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Deprecated.

  Return a set of VMs which are not co-operating with the host's memory control system

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUncooperativeResidentVMs

    @Deprecated
    public Set<VM> getUncooperativeResidentVMs(Connection c)
                                        throws Types.BadServerResponse,
                                               Types.XenAPIException,
                                               org.apache.xmlrpc.XmlRpcException

  Deprecated.

  Return a set of VMs which are not co-operating with the host's memory control system

  Returns:
    VMs which are not co-operating
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### evacuateAsync

    public Task evacuateAsync(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Migrate all VMs off of this host, where possible.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### evacuate

    public void evacuate(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  Migrate all VMs off of this host, where possible.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### syslogReconfigureAsync

    public Task syslogReconfigureAsync(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Re-configure syslog logging

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### syslogReconfigure

    public void syslogReconfigure(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Re-configure syslog logging

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### managementReconfigureAsync

    public static Task managementReconfigureAsync(Connection c,
                                                  PIF pif)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Reconfigure the management network interface

  Parameters:
    `pif` - reference to a PIF object corresponding to the management interface
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### managementReconfigure

    public static void managementReconfigure(Connection c,
                                             PIF pif)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Reconfigure the management network interface

  Parameters:
    `pif` - reference to a PIF object corresponding to the management interface
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### localManagementReconfigure

    public static void localManagementReconfigure(Connection c,
                                                  String iface)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Reconfigure the management network interface. Should only be used if Host.management_reconfigure is impossible because the network configuration is broken.

  Parameters:
    `iface` - name of the interface to use as a management interface
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### managementDisable

    public static void managementDisable(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Disable the management network interface

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getManagementIfaceAsync

    public Task getManagementIfaceAsync(Connection c)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Returns the management interface for the specified host

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getManagementIface

    public PIF getManagementIface(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Returns the management interface for the specified host

  Returns:
    The managment interface for the host
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSystemStatusCapabilities

    public String getSystemStatusCapabilities(Connection c)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  Returns:
    An XML fragment containing the system status capabilities.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### restartAgentAsync

    public Task restartAgentAsync(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Restarts the agent after a 10 second pause. WARNING: this is a dangerous operation. Any operations in progress will be aborted, and unrecoverable data loss may occur. The caller is responsible for ensuring that there are no operations in progress when this method is called.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### restartAgent

    public void restartAgent(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Restarts the agent after a 10 second pause. WARNING: this is a dangerous operation. Any operations in progress will be aborted, and unrecoverable data loss may occur. The caller is responsible for ensuring that there are no operations in progress when this method is called.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### shutdownAgent

    public static void shutdownAgent(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Shuts the agent down after a 10 second pause. WARNING: this is a dangerous operation. Any operations in progress will be aborted, and unrecoverable data loss may occur. The caller is responsible for ensuring that there are no operations in progress when this method is called.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setHostnameLive

    public void setHostnameLive(Connection c,
                                String hostname)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException,
                                Types.HostNameInvalid

  Sets the host name to the specified string. Both the API and lower-level system hostname are changed immediately.

  Parameters:
    `hostname` - The new host name
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`
    `Types.HostNameInvalid`

### computeFreeMemoryAsync

    public Task computeFreeMemoryAsync(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Computes the amount of free memory on the host.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### computeFreeMemory

    public Long computeFreeMemory(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Computes the amount of free memory on the host.

  Returns:
    the amount of free memory on the host.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### computeMemoryOverheadAsync

    public Task computeMemoryOverheadAsync(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Computes the virtualization memory overhead of a host.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### computeMemoryOverhead

    public Long computeMemoryOverhead(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Computes the virtualization memory overhead of a host.

  Returns:
    the virtualization memory overhead of the host.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### syncData

    public void syncData(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  This causes the synchronisation of the non-database data (messages, RRDs and so on) stored on the master to be synchronised with the host

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### backupRrds

    public void backupRrds(Connection c,
                           Double delay)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  This causes the RRDs to be backed up to the master

  Parameters:
    `delay` - Delay in seconds from when the call is received to perform the backup
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createNewBlobAsync

    public Task createNewBlobAsync(Connection c,
                                   String name,
                                   String mimeType,
                                   Boolean _public)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Create a placeholder for a named binary blob of data that is associated with this host

  Parameters:
    `name` - The name associated with the blob
    `mimeType` - The mime type for the data. Empty string translates to application/octet-stream
    `_public` - True if the blob should be publicly available
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createNewBlob

    public Blob createNewBlob(Connection c,
                              String name,
                              String mimeType,
                              Boolean _public)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Create a placeholder for a named binary blob of data that is associated with this host

  Parameters:
    `name` - The name associated with the blob
    `mimeType` - The mime type for the data. Empty string translates to application/octet-stream
    `_public` - True if the blob should be publicly available
  Returns:
    The reference of the blob, needed for populating its data
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### callPluginAsync

    public Task callPluginAsync(Connection c,
                                String plugin,
                                String fn,
                                Map<String,String> args)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Call a XenAPI plugin on this host

  Parameters:
    `plugin` - The name of the plugin
    `fn` - The name of the function within the plugin
    `args` - Arguments for the function
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### callPlugin

    public String callPlugin(Connection c,
                             String plugin,
                             String fn,
                             Map<String,String> args)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Call a XenAPI plugin on this host

  Parameters:
    `plugin` - The name of the plugin
    `fn` - The name of the function within the plugin
    `args` - Arguments for the function
  Returns:
    Result from the plugin
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getServertime

    public Date getServertime(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  This call queries the host's clock for the current time

  Returns:
    The current time
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getServerLocaltime

    public Date getServerLocaltime(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  This call queries the host's clock for the current time in the host's local timezone

  Returns:
    The current local time
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableExternalAuth

    public void enableExternalAuth(Connection c,
                                   Map<String,String> config,
                                   String serviceName,
                                   String authType)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  This call enables external authentication on a host

  Parameters:
    `config` - A list of key-values containing the configuration data
    `serviceName` - The name of the service
    `authType` - The type of authentication (e.g. AD for Active Directory)
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableExternalAuth

    public void disableExternalAuth(Connection c,
                                    Map<String,String> config)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  This call disables external authentication on the local host

  Parameters:
    `config` - Optional parameters as a list of key-values containing the configuration data
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbEvacuateRecommendationsAsync

    public Task retrieveWlbEvacuateRecommendationsAsync(Connection c)
                                                 throws Types.BadServerResponse,
                                                        Types.XenAPIException,
                                                        org.apache.xmlrpc.XmlRpcException

  Retrieves recommended host migrations to perform when evacuating the host from the wlb server. If a VM cannot be migrated from the host the reason is listed instead of a recommendation.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### retrieveWlbEvacuateRecommendations

    public Map<VM,Set<String>> retrieveWlbEvacuateRecommendations(Connection c)
                                                           throws Types.BadServerResponse,
                                                                  Types.XenAPIException,
                                                                  org.apache.xmlrpc.XmlRpcException

  Retrieves recommended host migrations to perform when evacuating the host from the wlb server. If a VM cannot be migrated from the host the reason is listed instead of a recommendation.

  Returns:
    VMs and the reasons why they would block evacuation, or their target host recommended by the wlb server
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getServerCertificateAsync

    public Task getServerCertificateAsync(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Get the installed server SSL certificate.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getServerCertificate

    public String getServerCertificate(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the installed server SSL certificate.

  Returns:
    The installed server SSL certificate, in PEM form.
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### applyEdition

    public void applyEdition(Connection c,
                             String edition,
                             Boolean force)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Change to another edition, or reactivate the current edition after a license has expired. This may be subject to the successful checkout of an appropriate license.

  Parameters:
    `edition` - The requested edition
    `force` - Update the license params even if the apply call fails
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### refreshPackInfoAsync

    public Task refreshPackInfoAsync(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Refresh the list of installed Supplemental Packs.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### refreshPackInfo

    public void refreshPackInfo(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Refresh the list of installed Supplemental Packs.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setPowerOnModeAsync

    public Task setPowerOnModeAsync(Connection c,
                                    String powerOnMode,
                                    Map<String,String> powerOnConfig)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Set the power-on-mode, host, user and password

  Parameters:
    `powerOnMode` - power-on-mode can be empty,iLO,wake-on-lan, DRAC or other
    `powerOnConfig` - Power on config
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setPowerOnMode

    public void setPowerOnMode(Connection c,
                               String powerOnMode,
                               Map<String,String> powerOnConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the power-on-mode, host, user and password

  Parameters:
    `powerOnMode` - power-on-mode can be empty,iLO,wake-on-lan, DRAC or other
    `powerOnConfig` - Power on config
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setCpuFeatures

    public void setCpuFeatures(Connection c,
                               String features)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the CPU features to be used after a reboot, if the given features string is valid.

  Parameters:
    `features` - The features string (32 hexadecimal digits)
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### resetCpuFeatures

    public void resetCpuFeatures(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Remove the feature mask, such that after a reboot all features of the CPU are enabled.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### enableLocalStorageCaching

    public void enableLocalStorageCaching(Connection c,
                                          SR sr)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Enable the use of a local SR for caching purposes

  Parameters:
    `sr` - The SR to use as a local cache
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### disableLocalStorageCaching

    public void disableLocalStorageCaching(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Disable the use of a local SR for caching purposes

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### migrateReceiveAsync

    public Task migrateReceiveAsync(Connection c,
                                    Network network,
                                    Map<String,String> options)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Prepare to receive a VM, returning a token which can be passed to VM.migrate.

  Parameters:
    `network` - The network through which migration traffic should be received.
    `options` - Extra configuration operations
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### migrateReceive

    public Map<String,String> migrateReceive(Connection c,
                                             Network network,
                                             Map<String,String> options)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Prepare to receive a VM, returning a token which can be passed to VM.migrate.

  Parameters:
    `network` - The network through which migration traffic should be received.
    `options` - Extra configuration operations
  Returns:
    A value which should be passed to VM.migrate
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### declareDeadAsync

    public Task declareDeadAsync(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Declare that a host is dead. This is a dangerous operation, and should only be called if the administrator is absolutely sure the host is definitely dead

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### declareDead

    public void declareDead(Connection c)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Declare that a host is dead. This is a dangerous operation, and should only be called if the administrator is absolutely sure the host is definitely dead

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<Host> getAll(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Return a list of all the hosts known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<Host,Host.Record> getAllRecords(Connection c)
                                               throws Types.BadServerResponse,
                                                      Types.XenAPIException,
                                                      org.apache.xmlrpc.XmlRpcException

  Return a map of host references to host records for all hosts known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD